# Created by pyp2rpm-3.3.4
%define pypi_name thonny

Name:           thonny
Version:        3.3.1
Release:        %mkrel 1
Summary:        Python IDE for beginners
Group:          Development/Python
License:        MIT and EPL
URL:            https://thonny.org
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(astroid)
BuildRequires:  python3dist(asttokens)
BuildRequires:  python3dist(docutils)
BuildRequires:  python3dist(jedi)
BuildRequires:  python3dist(mypy)
BuildRequires:  python3dist(pylint)
BuildRequires:  python3dist(pyserial)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(send2trash)
BuildRequires:  python3dist(setuptools)
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(appstream-glib)
BuildRequires:  x11-server-xvfb
BuildRequires:  python3-tkinter

Requires:       python3dist(astroid)
Requires:       python3dist(asttokens)
Requires:       python3dist(docutils)
Requires:       python3dist(jedi)
Requires:       python3dist(mypy)
Requires:       python3dist(pylint)
Requires:       python3dist(pyserial)
Requires:       python3dist(send2trash)
Requires:       python3dist(setuptools)
Requires:       python3-tkinter
Recommends:     python3-distro
Recommends:     zenity
Recommends:     xsel

%description
Thonny is a simple Python IDE with features useful for learning programming.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

install -m 0644 -D -T packaging/icons/thonny-256x256.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/thonny.png
install -m 0644 -D -T packaging/icons/thonny-128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/thonny.png
install -m 0644 -D -T packaging/icons/thonny-64x64.png   %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/thonny.png
install -m 0644 -D -T packaging/icons/thonny-48x48.png   %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/thonny.png
install -m 0644 -D -T packaging/icons/thonny-32x32.png   %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/thonny.png
install -m 0644 -D -T packaging/icons/thonny-22x22.png   %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/thonny.png
install -m 0644 -D -T packaging/icons/thonny-16x16.png   %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/thonny.png
	
install -D -m 0644 -t %{buildroot}%{_datadir}/metainfo                    packaging/linux/org.thonny.Thonny.appdata.xml
install -D -m 0644 -t %{buildroot}%{_mandir}/man1                         packaging/linux/thonny.1
desktop-file-install --dir=%{buildroot}%{_datadir}/applications           packaging/linux/org.thonny.Thonny.desktop
	
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.thonny.Thonny.appdata.xml

%check
xvfb-run py.test-3 --pyargs thonny

%files
%license licenses/ECLIPSE-ICONS-LICENSE.txt LICENSE.txt
%doc README.rst CHANGELOG.rst CREDITS.rst
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{_datadir}/icons/hicolor/*/apps/thonny.png
%{_datadir}/applications/org.thonny.Thonny.desktop
%{_datadir}/metainfo/org.thonny.Thonny.appdata.xml
%{_mandir}/man1/thonny.1*


%changelog
* Sun Dec 06 2020 kekepower <kekepower> 3.3.1-1.mga8
+ Revision: 1654000
- Update to version 3.3.1

* Sun Nov 15 2020 kekepower <kekepower> 3.3.0-1.mga8
+ Revision: 1646436
- Update to version 3.3.0

* Thu Apr 23 2020 kekepower <kekepower> 3.2.7-1.mga8
+ Revision: 1571339
- imported package thonny

